/*
				MIME Types List
 */

#ifndef EDV_MIME_TYPES_LIST_H
#define EDV_MIME_TYPES_LIST_H

#include <glib.h>
#include "edv_mime_type.h"


/*
 *	Opens the MIME Types List from the MIME Types List file.
 *
 *	The mime_types_list specifies the MIME Types List, a GList of
 *	edv_mime_type_struct * MIME Types. The MIME Types opened from
 *	the MIME Types List file will be appended to the MIME Types
 *	List.
 *
 *	The path specifies the MIME Types List file.
 *
 *	Returns a GList of edv_mime_type_struct * MIME Types.
 */
extern GList *EDVMimeTypesListFileOpen(
	GList *mime_types_list,
	const gchar *path
);


#endif	/* EDV_MIME_TYPES_LIST_H */
